Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface MessageCursorRuntimeMBean

All Superinterfaces:
  CursorRuntimeMBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

All Known Subinterfaces:
  JMSDestinationRuntimeMBean, JMSDurableSubscriberRuntimeMBean, JMSMessageCursorRuntimeMBean, JMSMessageManagementRuntimeMBean, JMSRemoteEndpointRuntimeMBean, JMSServerRuntimeMBean, SAFMessageCursorRuntimeMBean, SAFRemoteEndpointRuntimeMBean, WSRMRemoteEndpointRuntimeMBean

public interface MessageCursorRuntimeMBean
extends CursorRuntimeMBean

This interface specifies methods for cursor result sets comprised of messages. Given a cursor handle and an identifier, they return a complete message in CompositeData representation.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0
See Also:
  `CompositeData`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`CompositeData` | `getMessage(String cursorHandle, Long messageHandle)` Returns the message associated with the specified cursor handle.
`CompositeData` | `getMessage(String cursorHandle, String messageID)` Given a JMS message ID this method returns the corresponding message from the queue.

Methods inherited from interface weblogic.management.runtime.CursorRuntimeMBean
`closeCursor, getCursorEndPosition, getCursorSize, getCursorStartPosition, getItems, getNext, getPrevious`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMessage

    public CompositeData getMessage(String cursorHandle,
                                    Long messageHandle)
                             throws ManagementException

  Returns the message associated with the specified cursor handle.

  Parameters:
    `cursorHandle` - The handle of the cursor.
    `messageHandle` - The handle of the message within the cursor.
  Returns:
    The message in XML text representation corresponding the specified item handle;
  Throws:
    `ManagementException` - Thrown when an error occurs while performing the operation.
  See Also:
    `CompositeData`

### getMessage

    public CompositeData getMessage(String cursorHandle,
                                    String messageID)
                             throws ManagementException

  Given a JMS message ID this method returns the corresponding message from the queue. If no message with the specified message ID exists on the destination, a null value is returned.

  Parameters:
    `cursorHandle` - The handle of the cursor.
    `messageID` - The JMS message ID of the requested message.
  Returns:
    The message in XML text representation corresponding to the specified message ID or null if one does not exist.
  Throws:
    `ManagementException` - Thrown when an error occurs while performing the query.
  See Also:
    `CompositeData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD